## openstack-trove 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.6.0 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
httplib2>=0.7.5 # MIT
lxml!=3.7.0,>=2.3 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.6.1 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
xmltodict>=0.10.1 # MIT
pycrypto>=2.6 # Public Domain
oslo.policy>=1.17.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:7.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 15:10:24 +0000

openstack-trove (1:7.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:31:07 -0500

openstack-trove (1:7.0.0~rc2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/control: Cleanup dependencies. 
  * d/tests: Add autopkgtest

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:50:45 -0500

openstack-trove (1:7.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * debian/patches/unwedge-tests.patch: Dropped no longer needed. 
  * debian/control: Add python-pep8 as build dependency.
  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 14:17:13 -0500

openstack-trove (1:7.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/trove-common.postinst: Use 'getent' instead of 'getenv'.
    (LP: #1651852) 
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/unwedge-tests.patch: Skip failing unit tests.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 09:26:14 -0500

openstack-trove (1:7.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control: Add python-glancecclient. 
  * debian/patches/patch-default-config-file.patch: Dropped just
    install the default.

  [ Corey Bryant ]
  * d/control: Add python-oslo.policy to (Build-)Depends.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 15:00:32 -0500

openstack-trove (1:7.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/trove-common.install, debian/troave.commonst.postinst:
    Create and change permissionson /var/cache/trove. (LP: #1459961) 

  [ Corey Bryant ]
  * d/trove-common.install, d/trove-common.dirs: Create /var/cache/trove.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Nov 2016 20:33:26 -0500

openstack-trove (1:6.0.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ Chuck Short ]
  * New upstream release for Openstack Newton.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 11:39:29 -0400

openstack-trove (1:6.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 14:02:10 -0400

openstack-trove (1:6.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * Add python-xmltodict to (Build-)Depends.
  * Add python-crypto to Build-Depends.

  [ Corey Bryant ]
  * New upstream version.
  * d/rules: Run ostestr with --serial.
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Sep 2016 10:31:18 -0400

openstack-trove (1:6.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Run unit tests with ostestr.
  * d/p/patch-default-config-file.patch: Rebased.

  [ James Page ]
  * New upstream version.
  * d/p/fix-base-unit-test-class.patch: Drop, no longer required.
  * d/*.init.in: Use correct configuration file for each of the trove
    daemons (LP: #1516471).
  * d/p/*: Refresh.

  [ David Della Vecchia ]
  * d/p/skip-failing-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Jul 2016 16:06:09 -0400

=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9~),
               dh-exec,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-astroid (>= 1.4.0),
                     python-babel (>= 2.3.4),
                     python-cassandra(>= 2.1.4),
                     python-cinderclient (>= 1.6.0),
                     python-couchdb (>= 0.8),
                     python-coverage (>= 4.0),
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-glanceclient (>= 1:2.5.0),
                     python-heatclient (>= 1.6.1),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-pymysql (>= 0.7.6),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:6.0.0),
                     python-openstack.nose-plugin (>= 0.7),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-osprofiler (>= 1.4.0),
                     python-passlib (>= 1.7.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pexpect (>= 3.1),
                     python-proboscis (>= 1.2.5.3),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-redis (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
                     python-wsgi-intercept (>= 1.4.1),
                     python-xmltodict (>= 0.10.1),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Homepage: http://github.com/openstack/trove
XS-Testsuite: autopkgtest

Package: python-trove
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-crypto,
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:2.5.0),
         python-heatclient (>= 1.6.1),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:3.6.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-pymysql (>= 0.7.6),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-passlib (>= 1.7.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pexpect (>= 3.1),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 1:2.2.0),
         python-webob (>= 1.6.0),
         python-xmltodict,
         ${misc:Depends},
         ${python:Depends}
Conflicts: python-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-common
Architecture: all
Depends: adduser,
         python-trove (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-api
Architecture: all
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-guestagent
Architecture: all
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

Package: trove-conductor
Architecture: all
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating

## openstack-trove 7.0.0%7eb2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.6.0 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
httplib2>=0.7.5 # MIT
lxml>=2.3 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.6.1 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient>=3.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
PyMySQL!=0.7.7,>=0.7.6 # MIT License
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
xmltodict>=0.10.1 # MIT
pycrypto>=2.6 # Public Domain
oslo.policy>=1.17.0 # Apache-2.0

## openstack-trove 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
httplib2>=0.7.5 # MIT
lxml!=3.7.0,>=2.3 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.6.1 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-cinderclient>=2.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-glanceclient>=2.7.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
xmltodict>=0.10.1 # MIT
pycrypto>=2.6 # Public Domain
oslo.policy>=1.23.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:8.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 15:19:26 +0000

openstack-trove (1:8.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:42:58 +0100

openstack-trove (1:8.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/trove-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:50:58 -0400

openstack-trove (1:8.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:44:18 -0400

openstack-trove (1:8.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:04:13 -0400

openstack-trove (1:8.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:10:36 +0100

openstack-trove (1:8.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/trove-guestagent.install: Install logging configuration file
    for guestagent.
  * d/p/guestagent-logdir.patch: Fix default location for guestagent
    log files.
  * d/tests/trove-daemons: Skip guestagent check as this will always
    fail without a fully deployed and configured OpenStack, which
    is not possible in a DEP-8 test.

 -- James Page <james.page@ubuntu.com>  Tue, 02 May 2017 06:30:27 -0400

openstack-trove (1:8.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 12:33:29 +0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                openstack-pkg-tools (>= 23~),
                python-all,
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-astroid (>= 1.4.0),
                      python-babel (>= 2.3.4),
                      python-cassandra(>= 2.1.4),
-                     python-cinderclient (>= 1.6.0),
+                     python-cinderclient (>= 1:2.0.1),
                      python-couchdb (>= 0.8),
                      python-coverage (>= 4.0),
                      python-crypto,
                      python-designateclient (>= 1.5.0),
                      python-eventlet (>= 0.18.2),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-glanceclient (>= 1:2.7.0),
                      python-heatclient (>= 1.6.1),
                      python-httplib2 (>= 0.7.5),
                      python-iso8601 (>= 0.1.11),
@@ -32,32 +32,31 @@
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox3 (>= 0.7.0),
                      python-pymysql (>= 0.7.6),
                      python-netaddr (>= 0.7.13),
-                     python-neutronclient (>= 1:5.1.0),
+                     python-neutronclient (>= 1:6.3.0),
                      python-nose,
                      python-nosexcover,
-                     python-novaclient (>= 2:6.0.0),
+                     python-novaclient (>= 2:9.0.0),
                      python-openstack.nose-plugin (>= 0.7),
-                     python-openstackdocstheme (>= 1.5.0),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-os-api-ref (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-osprofiler (>= 1.4.0),
                      python-passlib (>= 1.7.0),
                      python-paste,
@@ -68,18 +67,19 @@
                      python-psycopg2 (>= 2.5),
                      python-pymongo (>= 3.0.2),
                      python-redis (>= 2.10.0),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
+                     python-stevedore (>= 1.20.0),
                      python-swiftclient (>= 1:3.2.0),
                      python-testrepository (>= 0.0.18),
                      python-testtools (>= 1.4.0),
                      python-troveclient (>= 1:2.2.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
                      python-wsgi-intercept (>= 1.4.1),
                      python-xmltodict (>= 0.10.1),
+                     python-diskimage-builder (>= 1.1.2),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
@@ -90,11 +90,11 @@
 Architecture: all
 Section: python
 Depends: python-babel (>= 2.3.4),
-         python-cinderclient (>= 1:1.6.0),
+         python-cinderclient (>= 1:2.0.1),
          python-crypto,
          python-designateclient (>= 1.5.0),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 1:2.5.0),
+         python-eventlet (>= 0.18.2),
+         python-glanceclient (>= 1:2.7.0),
          python-heatclient (>= 1.6.1),
          python-httplib2 (>= 0.7.5),
          python-iso8601 (>= 0.1.11),
@@ -103,34 +103,34 @@
          python-keystoneclient (>= 1:3.6.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
-         python-migrate (>= 0.9.6),
+         python-migrate (>= 0.11.0),
          python-pymysql (>= 0.7.6),
          python-netaddr (>= 0.7.13),
-         python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:2.29.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-novaclient (>= 2:9.0.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.2.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-osprofiler (>= 1.4.0),
          python-passlib (>= 1.7.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pexpect (>= 3.1),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-swiftclient (>= 1:2.2.0),
-         python-webob (>= 1.6.0),
+         python-webob (>= 1.7.1),
          python-xmltodict,
          ${misc:Depends},
          ${python:Depends}
@@ -242,4 +242,3 @@
  features of a relational database without the burden of handling complex
  administrative tasks. Cloud users and database administrators can provision
  and manage multiple database instances as needed. Initially, the service will
- focus on providing resource isolation at high performance while automating

## openstack-trove 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
httplib2>=0.9.1 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.10.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
xmltodict>=0.10.1 # MIT
pycrypto>=2.6 # Public Domain
oslo.policy>=1.30.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:9.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:33:11 -0500

openstack-trove (1:9.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 10:03:33 -0500

openstack-trove (1:9.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10, drop BD on dh-systemd.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:44:56 -0500

=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends:
 debhelper (>= 10~),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-astroid (>= 1.4.0),
 python-babel (>= 2.3.4),
 python-cassandra (>= 2.1.4),
 python-cinderclient (>= 1:3.3.0),
 python-couchdb (>= 0.8),
 python-coverage (>= 4.0),
 python-crypto (>= 2.6),
 python-designateclient (>= 2.7.0),
 python-diskimage-builder (>= 1.1.2),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-nose (>= 1.3.7),
 python-nosexcover (>= 1.0.10),
 python-novaclient (>= 2:9.1.0),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-pexpect (>= 3.1),
 python-proboscis (>= 1.2.5.3),
 python-psycopg2 (>= 2.6.2),
 python-pymongo (>= 3.0.2),
 python-pymysql (>= 0.7.6),
 python-redis (>= 2.10.0),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tempest,
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-troveclient (>= 1:2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
 python-wsgi-intercept (>= 1.4.1),
 python-xmltodict (>= 0.10.1),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Homepage: http://github.com/openstack/trove
XS-Testsuite: autopkgtest

Package: python-trove
Architecture: all
Section: python
Depends:
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-crypto (>= 2.6),
 python-designateclient (>= 2.7.0),
 python-diskimage-builder (>= 1.1.2),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-httplib2 (>= 0.9.1),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-migrate (>= 0.11.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-passlib (>= 1.7.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pexpect (>= 3.1),
 python-pymysql (>= 0.7.6),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-webob (>= 1:1.7.1),
 python-xmltodict (>= 0.10.1),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-api
Architecture: all
Depends:
 trove-common,
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-common
Architecture: all
Depends:
 adduser,
 python-trove (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-conductor
Architecture: all
Depends:
 trove-common,
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

Package: trove-guestagent
Architecture: all
Depends:
 trove-common,
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends:
 trove-common,
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .eggs
	rm -rf .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr --serial
endif

=== debian/tests/control ===
Tests: trove-daemons python-trove
Depends: python-trove, trove-common, trove-api, trove-guestagent,
 trove-taskmanager, trove-conductor
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove trove-(9\.\d.*)\.tar\.gz
